//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: inspecciones_comm.js
// Created: 2017-09-12
// Updates: 2017-09-12
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var OpenWindows = new Object();
var isIE      	= document.all?true:false;
var isNS		    = document.layers?true:false;
//-------------------------------------------------------//
window.onload = function(){
    setTimeout("loadParameters()",1000);
}
//-------------------------------------------------------//
//LEVEL 1
function loadParameters() {
    lan		    = parent.list.document.linkl.lan.value;
    appid	    = parent.list.document.linkl.appid.value;
    clase     = parent.list.document.linkl.clase.value;
    component = parent.list.document.linkl.appid.value;
    id		    = parent.list.document.linkl.id.value;
}
function Go() {
    parent.list.GetOptions();
    LoadFrame();
}
//-------------------------------------------------------//
//LEVEL 2
function onlyDigits(e,decReq) {
    var key = (isIE) ? window.event.keyCode : e.which;
    var obj = (isIE) ? event.srcElement : e.target;
    var isNum = (key > 47 && key < 58) ? true:false;
    var dotOK = (key==46 && decReq=='decOK' && (obj.value.indexOf(".")<0 || obj.value.length==0)) ? true:false;
    window.event.keyCode = (!isNum && !dotOK && isIE) ? 0:key;
    e.which = (!isNum && !dotOK && isNS) ? 0:key;
    return (isNum || dotOK);
}
function LoadFrame(){
    if(document.linkf.i8_inmueble_id.value!=""){
        parent.list.OpenFrame('VerRegistro','REPT,inmuebles');
    }
}